ScriptParallelProcessor
Date: 2019-10-22

org.jmol.script

## Class ScriptParallelProcessor

- java.lang.Object
- - org.jmol.script.ScriptFunction
  - - org.jmol.script.ScriptParallelProcessor

- All Implemented Interfaces:
    JmolParallelProcessor, JmolScriptFunction

      public class ScriptParallelProcessor
      extends ScriptFunction
      implements JmolParallelProcessor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `counter`
    `java.lang.Error` | `error`
    `(package private) java.lang.Object` | `lock`
    `private javajs.util.Lst<ScriptProcess>` | `processes`
    `(package private) Viewer` | `vwr`

    - ### Fields inherited from class org.jmol.script.ScriptFunction

      `aatoken, chpt0, cmdpt0, lineIndices, lineNumbers, name, names, nParameters, pt0, returnValue, script, tok, typeName, variables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptParallelProcessor()` parallel operations

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(java.lang.String name, ScriptContext context)`
    `(package private) void` | `clearShapeManager(java.lang.Error er)`
    `(package private) void` | `eval(ScriptContext context, ShapeManager shapeManager)`
    `java.lang.Object` | `getExecutor()`
    `private java.util.concurrent.Executor` | `getMyExecutor()`
    `(package private) void` | `mergeResults(javajs.util.Lst<ShapeManager> vShapeManagers)`
    `private void` | `mergeShapes(ShapeManager shapeManager)`
    `void` | `runAllProcesses(Viewer vwr)`
    `private void` | `runProcess(ScriptProcess process, ShapeManager shapeManager)`

    - ### Methods inherited from class org.jmol.script.ScriptFunction

      `addVariable, getName, geTokens, getSignature, getTok, isVariable, set, setFunction, setVariables, toString, unsetVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jmol.api.JmolParallelProcessor

      `set`

- - ### Field Detail

    - #### vwr

          Viewer vwr

    - #### counter

          public volatile int counter

    - #### error

          public volatile java.lang.Error error

    - #### lock

          java.lang.Object lock

    - #### processes

          private javajs.util.Lst<ScriptProcess> processes

  - ### Constructor Detail

    - #### ScriptParallelProcessor

          public ScriptParallelProcessor()

      parallel operations

  - ### Method Detail

    - #### getExecutor

          public java.lang.Object getExecutor()

      Specified by:
        `getExecutor` in interface `JmolParallelProcessor`

    - #### runAllProcesses

          public void runAllProcesses(Viewer vwr)

      Specified by:
        `runAllProcesses` in interface `JmolParallelProcessor`

    - #### mergeResults

          void mergeResults(javajs.util.Lst<ShapeManager> vShapeManagers)

    - #### mergeShapes

          private void mergeShapes(ShapeManager shapeManager)

    - #### clearShapeManager

          void clearShapeManager(java.lang.Error er)

    - #### addProcess

          public void addProcess(java.lang.String name,
                                 ScriptContext context)

      Specified by:
        `addProcess` in interface `JmolParallelProcessor`

    - #### runProcess

          private void runProcess(ScriptProcess process,
                                  ShapeManager shapeManager)

    - #### eval

          void eval(ScriptContext context,
                    ShapeManager shapeManager)

    - #### getMyExecutor

          private java.util.concurrent.Executor getMyExecutor()